Bug 830346 - ADD operations not in audit log
Summary: ADD operations not in audit log
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.4
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Sankar Ramalingam
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-08 21:39 UTC by Nathan Kinder
Modified: 2013-02-21 08:17 UTC (History)
1 user (show)

Fixed In Version: 389-ds-base-1.2.11.12-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Enabling audit logging in the directory server, and performing an LDAP ADD operation. Consequence: The ADD operation is not logged. Fix: Remove a regression in the audit log code that caused ADD operations to be ignored. Result: LDAP ADD operations are logged to the audit log.
Clone Of:
Environment:
Last Closed: 2013-02-21 08:17:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0503 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2013-02-21 08:18:44 UTC

Description Nathan Kinder 2012-06-08 21:39:00 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/389

ADD operations are missing from the audit log

They were removed as part of changeset:f6397113666f06848412bb12f754f04258cfa5fa/389-ds-base

Comment 1 RHEL Program Management 2012-07-10 07:10:44 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 2 RHEL Program Management 2012-07-10 23:00:42 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 3 Jenny Severance 2012-07-24 12:43:13 UTC
test coverage :: trac365 in acceptance/basic

Comment 5 Sankar Ramalingam 2012-11-19 11:07:47 UTC
Acceptance test results for basic test suite is successful. Hence marking the bug as Verified.

############## Result  for  backend test :   Basic run
    Basic run elapse time : 00:04:06
    Basic run Tests PASS      : 100% (55/55)

add an user uid=u365
adding new entry uid=u365,o=airius.com

adding an entry u365: OK
modifying entry uid=u365,o=airius.com

replacing userpassword of an entry u365: OK
check audit log /var/log/dirsrv/slapd-dell-pe2800-01/audit
grep u365 /var/log/dirsrv/slapd-dell-pe2800-01/audit
dn: uid=u365,o=airius.com
uid: u365
dn: uid=u365,o=airius.com
dn: uid=u365,o=airius.com
Found u365 in /var/log/dirsrv/slapd-dell-pe2800-01/audit
audit log /var/log/dirsrv/slapd-dell-pe2800-01/audit does not include unhashed#user#password
audit log /var/log/dirsrv/slapd-dell-pe2800-01/audit does not include clear password: newtuser0
disabling audig log
modifying entry cn=config

disabling audig log: OK
TestCase [trac365] result-> [PASS]

Comment 6 Jenny Severance 2013-01-14 14:54:35 UTC
verified ::

200|0 19 14:38:45|TP Start
520|0 19 25357 1 1|=============== Verifing trac ticket 365 =============== 
520|0 19 25357 1 2|enabling audig log
520|0 19 25357 1 3|/usr/lib64/mozldap/ldapmodify -p 21795 -h dell-pe2800-01.rhts.eng.bos.redhat.com -D cn=directory manager -w Secret123
520|0 19 25357 1 4|enabling audig log: OK
520|0 19 25357 1 5|-----------------StopSlapd: Called -----------------
520|0 19 25357 1 6|Calling StopSlapd /usr/lib64/dirsrv/slapd-dell-pe2800-01
520|0 19 25357 1 7|check instance: [/usr/lib64/dirsrv/slapd-dell-pe2800-01]
520|0 19 25357 1 8|instance [/usr/lib64/dirsrv/slapd-dell-pe2800-01] is alive on port [21795]
520|0 19 25357 1 9|check instance: [/usr/lib64/dirsrv/slapd-dell-pe2800-01]
520|0 19 25357 1 10|[/usr/lib64/dirsrv/slapd-dell-pe2800-01] does exist but not alive on port [21795]
520|0 19 25357 1 11|command: [/usr/lib64/mozldap/ldapsearch -1 -h dell-pe2800-01.rhts.eng.bos.redhat.com -p 21795 -s base -b "" objectclass=* supportedldapversion]
520|0 19 25357 1 12|command: return code: [91]
520|0 19 25357 1 13|StopSlapd: Slapd Server has been Shutdown Successfully
520|0 19 25357 1 14|-----------------StopSlapd: Completed-----------------
520|0 19 25357 1 15|                                                      
520|0 19 25357 1 16|-----------------StartSlapd: Called -----------------
520|0 19 25357 1 17|Calling StartSlapd /usr/lib64/dirsrv/slapd-dell-pe2800-01
520|0 19 25357 1 18|check instance: [/usr/lib64/dirsrv/slapd-dell-pe2800-01]
520|0 19 25357 1 19|instance [/usr/lib64/dirsrv/slapd-dell-pe2800-01] is alive on port [21795]
520|0 19 25357 1 20|StartSlapd: Server successfully started
520|0 19 25357 1 21|-----------------StartSlapd: Completed-----------------
520|0 19 25357 1 22|                                                      
520|0 19 25357 1 23|add an user uid=u365
520|0 19 25357 1 24|/usr/lib64/mozldap/ldapmodify -p 21795 -h dell-pe2800-01.rhts.eng.bos.redhat.com -D cn=directory manager -w Secret123 -a
520|0 19 25357 1 25|adding an entry u365: OK
520|0 19 25357 1 26|/usr/lib64/mozldap/ldapmodify -p 21795 -h dell-pe2800-01.rhts.eng.bos.redhat.com -D cn=directory manager -w Secret123
520|0 19 25357 1 27|replacing userpassword of an entry u365: OK
520|0 19 25357 1 28|check audit log /var/log/dirsrv/slapd-dell-pe2800-01/audit
520|0 19 25357 1 29|grep u365 /var/log/dirsrv/slapd-dell-pe2800-01/audit
520|0 19 25357 1 30|Found u365 in /var/log/dirsrv/slapd-dell-pe2800-01/audit
520|0 19 25357 1 31|audit log /var/log/dirsrv/slapd-dell-pe2800-01/audit does not include unhashed#user#password
520|0 19 25357 1 32|audit log /var/log/dirsrv/slapd-dell-pe2800-01/audit does not include clear password: newtuser0
520|0 19 25357 1 33|disabling audig log
520|0 19 25357 1 34|/usr/lib64/mozldap/ldapmodify -p 21795 -h dell-pe2800-01.rhts.eng.bos.redhat.com -D cn=directory manager -w Secret123
520|0 19 25357 1 35|disabling audig log: OK
520|0 19 25357 1 36|TestCase [trac365] result-> [PASS]
220|0 19 0 14:38:58|PASS

version :: 389-ds-base-1.2.11.15-8.el6

Comment 8 errata-xmlrpc 2013-02-21 08:17:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0503.html


Note You need to log in before you can comment on or make changes to this bug.